> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hystruct.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all workflow data

> Get all of the data for a specific workflow



## OpenAPI

````yaml get /v1/workflows/{workflowId}/data
openapi: 3.0.0
info:
  title: Hystruct API
  version: 1.0.0
servers:
  - url: https://api.hystruct.com
security:
  - apiKey: []
externalDocs:
  url: https://docs.hystruct.com
  description: Documentation
paths:
  /v1/workflows/{workflowId}/data:
    get:
      summary: Get all workflow data
      description: Get all of the data for a specific workflow
      parameters:
        - schema:
            type: string
          in: path
          name: workflowId
          required: true
          description: workflow ID
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                description: Successful response
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    email:
                      type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Unauthorized
                type: object
                properties:
                  error:
                    type: string
        '404':
          description: No workflow found
          content:
            application/json:
              schema:
                description: No workflow found
                type: object
                properties:
                  error:
                    type: string
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````